Index: ram/adfield.c
===================================================================
--- ram/adfield.c	(revision df097bf59e892ec2e9bbb4a5696044afa1d5bf16)
+++ ram/adfield.c	(revision 0c834c599f225d78f3cee559f0421011b124be6d)
@@ -17,25 +17,73 @@
 #include "asgdsp.h"
 
-extern	short	select(), whatbox(), nokey(), stdctp4();
-extern	short	cxkstd(), cykstd(), stdmkey(), stddkey();
-
-extern	short	et_null(), ef_null(), rd_null(), nd_null();
-extern	short	et_atab(), ef_atab(), rd_atab(), nd_atab();
-extern	short	et_aopt(), ef_aopt(), rd_aopt(), nd_aopt();
-extern	short	et_avgr(), ef_avgr(), rd_avgr(), nd_avgr();
-extern	short	et_accn(), ef_accn(), rd_accn(), nd_accn();
-extern	short	et_agpt(), ef_agpt(), rd_agpt(), nd_agpt();
-extern	short	et_agch(), ef_agch(), rd_agch(), nd_agch();
-extern	short	et_ains(), ef_ains(), rd_ains(), nd_ains();
-extern	short	et_adyn(), ef_adyn(), rd_adyn(), nd_adyn();
-extern	short	et_atun(), ef_atun(), rd_atun(), nd_atun();
-extern	short	et_aprg(), ef_aprg(), rd_aprg(), nd_aprg();
-extern	short	et_aint(), ef_aint(), rd_aint(), nd_aint();
-extern	short	et_arat(), ef_arat(), rd_arat(), nd_arat();
-extern	short	et_adep(), ef_adep(), rd_adep(), nd_adep();
-
-extern	short	vcputsv();
-
-extern	char	*memset();
+extern	void	select(void);
+extern	short	whatbox(void);
+extern	short	nokey(void);
+extern	short	stdctp4(void);
+extern	void	cxkstd(void);
+extern	void	cykstd(void);
+extern	void	stdmkey(void);
+extern	void	stddkey(void);
+
+extern	short	et_null(void);
+extern	short	ef_null(void);
+extern	short	rd_null(void);
+extern	short	nd_null(void);
+extern	short	et_atab(short n);
+extern	short	ef_atab(short n);
+extern	short	rd_atab(short nn);
+extern	short	nd_atab(short nn, short k);
+extern	short	et_aopt(short n);
+extern	short	ef_aopt(short n);
+extern	short	rd_aopt(short nn);
+extern	short	nd_aopt(short nn, short k);
+extern	short	et_avgr(short nn);
+extern	short	ef_avgr(short nn);
+extern	short	rd_avgr(short nn);
+extern	short	nd_avgr(short nn, short k);
+extern	short	et_accn(short n);
+extern	short	ef_accn(short n);
+extern	short	rd_accn(short nn);
+extern	short	nd_accn(short nn, short k);
+extern	short	et_agpt(short n);
+extern	short	ef_agpt(short n);
+extern	short	rd_agpt(short nn);
+extern	short	nd_agpt(short nn, short k);
+extern	short	et_agch(short n);
+extern	short	ef_agch(short n);
+extern	short	rd_agch(short nn);
+extern	short	nd_agch(short nn, short k);
+extern	short	et_ains(short n);
+extern	short	ef_ains(short n);
+extern	short	rd_ains(short nn);
+extern	short	nd_ains(short nn, short k);
+extern	short	et_adyn(short n);
+extern	short	ef_adyn(short n);
+extern	short	rd_adyn(short nn);
+extern	short	nd_adyn(short nn, short k);
+extern	short	et_atun(short n);
+extern	short	ef_atun(short n);
+extern	short	rd_atun(short nn);
+extern	short	nd_atun(short nn, short k);
+extern	short	et_aprg(short n);
+extern	short	ef_aprg(short n);
+extern	short	rd_aprg(short nn);
+extern	short	nd_aprg(short nn, short k);
+extern	short	et_aint(short n);
+extern	short	ef_aint(short n);
+extern	short	rd_aint(short nn);
+extern	short	nd_aint(short nn, short k);
+extern	short	et_arat(short n);
+extern	short	ef_arat(short n);
+extern	short	rd_arat(short nn);
+extern	short	nd_arat(short nn, short k);
+extern	short	et_adep(short n);
+extern	short	ef_adep(short n);
+extern	short	rd_adep(short nn);
+extern	short	nd_adep(short nn, short k);
+
+extern	void	vcputsv(int *obase, int nw, int fg, int bg, int row, int col, char *str, int pitch);
+
+extern	char	*memset(char *sp, char c, int n);
 
 extern	short	adnamsw;
@@ -84,5 +132,7 @@
 /* forward references */
 
-short	adcxupd(), adcyupd(), ad_xkey();
+void	adcxupd(void);
+void	adcyupd(void);
+short	ad_xkey(short nn);
 
 /* 
@@ -252,6 +302,5 @@
 */
 
-short
-adcyupd()
+void adcyupd(void)
 {
 	if (adnamsw) {
@@ -281,6 +330,5 @@
 */
 
-short
-adcxupd()
+void adcxupd(void)
 {
 	if (adnamsw) {
@@ -314,7 +362,5 @@
 */
 
-short
-ad_xkey(nn)
-short nn;
+short ad_xkey(short nn)
 {
 	register short row, col, grp, i;
@@ -471,5 +517,5 @@
 */
 
-adfield()
+void adfield(void)
 {
 	curslim = 140;
